Skip to content

Confirm Alert Receiver.

POST
/api/alert/namespaces/{namespace}/alert_receivers/{name}/confirm
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/alert/namespaces/example/alert_receivers/example/confirm \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "namespace": "example", "verification_code": "example" }'

API to confirm the Alert Receiver - applicable only for email and sms.

Examples of this operation.

namespace
required
string

Namespace

x-required Namespace in which the alert receiver is configured.

name
required
string

Name Name of the alert receiver.

Media typeapplication/json
Confirm Alert Receiver Request

Request to confirm the Alert Receiver.

object
name
Name

Name of the alert receiver.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace in which the alert receiver is configured Required: YES.

string
>= 6 characters <= 1024 characters
verification_code
Verification Code

Verification Code received by the user.

string
<= 1024 characters
Examplegenerated
{
"name": "example",
"namespace": "example",
"verification_code": "example"
}

A successful response.

Media typeapplication/json
Confirm Alert Receiver Response

Response for the Alert Receiver Confirm request; empty because the only returned information is error message.

object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example